org.bdgenomics.adam.rdd.variant

# RDDBoundVariantRDD

###
Related Doc: package variant

#### case class RDDBoundVariantRDD extends VariantRDD with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, VariantRDD, VCFSupportingGenomicDataset[Variant, Variant, VariantRDD], AvroGenomicDataset[Variant, Variant, VariantRDD], GenomicDataset[Variant, Variant, VariantRDD], Logging, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RDDBoundVariantRDD
2. Serializable
3. Serializable
4. Product
5. Equals
6. VariantRDD
7. VCFSupportingGenomicDataset
8. AvroGenomicDataset
9. GenomicDataset
10. Logging
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def addAllAlleleArrayFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): VariantRDD

   Adds a VCF header line describing an 'R' array format field.

   Adds a VCF header line describing an 'R' array format field.

   This adds a format field that is an array whose length is equal to the total number of alleles (including the reference allele) for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this format field.

   lineType

     The type of the data stored in this format field.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

5. #### def addAllAlleleArrayInfoHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): VariantRDD

   Adds a VCF header line describing an 'R' array info field.

   Adds a VCF header line describing an 'R' array info field.

   This adds a info field that is an array whose length is equal to the total number of alleles (including the reference allele) for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this info field.

   lineType

     The type of the data stored in this info field.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

6. #### def addAlternateAlleleArrayFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): VariantRDD

   Adds a VCF header line describing an 'A' array format field.

   Adds a VCF header line describing an 'A' array format field.

   This adds a format field that is an array whose length is equal to the number of alternate alleles for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this format field.

   lineType

     The type of the data stored in this format field.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

7. #### def addAlternateAlleleArrayInfoHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): VariantRDD

   Adds a VCF header line describing an 'A' array info field.

   Adds a VCF header line describing an 'A' array info field.

   This adds a info field that is an array whose length is equal to the number of alternate alleles for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this info field.

   lineType

     The type of the data stored in this info field.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

8. #### def addFilterHeaderLine(id: String, description: String): VariantRDD

   Adds a VCF header line describing a variant/genotype filter.

   Adds a VCF header line describing a variant/genotype filter.

   id

     The identifier for the filter.

   description

     A description of the filter.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

9. #### def addFixedArrayFormatHeaderLine(id: String, count: Integer, lineType: VCFHeaderLineType, description: String): VariantRDD

   Adds a VCF header line describing an array format field, with fixed count.

   Adds a VCF header line describing an array format field, with fixed count.

   Java friendly variant.

   id

     The identifier for the field.

   count

     The number of elements in the array.

   lineType

     The type of the data stored in this format field.

   description

     A description of the data stored in this format field.

   returns

     A new RDD with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset

10. #### def addFixedArrayFormatHeaderLine(id: String, count: Int, description: String, lineType: VCFHeaderLineType): VariantRDD

    Adds a VCF header line describing an array format field, with fixed count.

    Adds a VCF header line describing an array format field, with fixed count.

    id

      The identifier for the field.

    count

      The number of elements in the array.

    description

      A description of the data stored in this format field.

    lineType

      The type of the data stored in this format field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

11. #### def addFixedArrayInfoHeaderLine(id: String, count: Integer, lineType: VCFHeaderLineType, description: String): VariantRDD

    Adds a VCF header line describing an array info field, with fixed count.

    Adds a VCF header line describing an array info field, with fixed count.

    Java friendly variant.

    id

      The identifier for the field.

    count

      The number of elements in the array.

    lineType

      The type of the data stored in this info field.

    description

      A description of the data stored in this info field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

12. #### def addFixedArrayInfoHeaderLine(id: String, count: Int, description: String, lineType: VCFHeaderLineType): VariantRDD

    Adds a VCF header line describing an array info field, with fixed count.

    Adds a VCF header line describing an array info field, with fixed count.

    id

      The identifier for the field.

    count

      The number of elements in the array.

    description

      A description of the data stored in this info field.

    lineType

      The type of the data stored in this info field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

13. #### def addGenotypeArrayFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): VariantRDD

    Adds a VCF header line describing an 'G' array format field.

    Adds a VCF header line describing an 'G' array format field.

    This adds a format field that is an array whose length is equal to the number of genotypes for the genotype we are annotating.

    id

      The identifier for the field.

    description

      A description of the data stored in this format field.

    lineType

      The type of the data stored in this format field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

14. #### def addHeaderLine(headerLineToAdd: VCFHeaderLine): VariantRDD

    Appends a new header line to the existing lines.

    Appends a new header line to the existing lines.

    headerLineToAdd

      A header line to add.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

15. #### def addHeaderLines(headerLinesToAdd: Seq[VCFHeaderLine]): VariantRDD

    Appends new header lines to the existing lines.

    Appends new header lines to the existing lines.

    headerLinesToAdd

      Zero or more header lines to add.

    returns

      A new RDD with the new header lines added.

    Definition Classes
      VCFSupportingGenomicDataset

16. #### def addScalarFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): VariantRDD

    Adds a VCF header line describing a scalar format field.

    Adds a VCF header line describing a scalar format field.

    id

      The identifier for the field.

    description

      A description of the data stored in this format field.

    lineType

      The type of the data stored in this format field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

17. #### def addScalarInfoHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): VariantRDD

    Adds a VCF header line describing a scalar info field.

    Adds a VCF header line describing a scalar info field.

    id

      The identifier for the field.

    description

      A description of the data stored in this info field.

    lineType

      The type of the data stored in this info field.

    returns

      A new RDD with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset

18. #### def addSequence(sequenceToAdd: SequenceRecord): VariantRDD

    Appends metadata for a single sequence to the current RDD.

    Appends metadata for a single sequence to the current RDD.

    sequenceToAdd

      The sequence to add.

    returns

      Returns a new GenomicDataset with this sequence appended.

    Definition Classes
      GenomicDataset

19. #### def addSequences(sequencesToAdd: SequenceDictionary): VariantRDD

    Appends sequence metadata to the current RDD.

    Appends sequence metadata to the current RDD.

    sequencesToAdd

      The new sequences to append.

    returns

      Returns a new GenomicDataset with the sequences appended.

    Definition Classes
      GenomicDataset

20. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

21. #### def broadcast()(implicit tTag: ClassTag[Variant]): GenomicBroadcast[Variant, Variant, VariantRDD]

    Definition Classes
      GenomicDataset

22. #### def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], txTag: ClassTag[(Variant, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Variant, Y)]): GenericGenomicDataset[(Variant, X), (Variant, Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainst

23. #### def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], txTag: ClassTag[(Variant, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Variant, Y)]): GenericGenomicDataset[(Variant, X), (Variant, Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainst

24. #### def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Variant, X), (Variant, Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. Python/Java friendly version.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset

25. #### def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Variant, X), (Variant, Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. SparkR friendly version.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset

26. #### def broadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Y, Variant)]): GenericGenomicDataset[(X, Variant), (Y, Variant)]

    Performs a broadcast inner join between this RDD and data that has been broadcast.

    Performs a broadcast inner join between this RDD and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      broadcastRegionJoin

27. #### def broadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Variant)]): GenericGenomicDataset[(Iterable[X], Variant), (Seq[Y], Variant)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      broadcastRegionJoinAndGroupByRight

28. #### def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Variant], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Variant], Y)]): GenericGenomicDataset[(Iterable[Variant], X), (Seq[Variant], Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

29. #### def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Variant], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Variant], Y)]): GenericGenomicDataset[(Iterable[Variant], X), (Seq[Variant], Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

30. #### def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Variant], X), (Seq[Variant], Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. PySpark/Java friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

31. #### def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Variant], X), (Seq[Variant], Y)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. SparkR friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

32. #### def buildTree(rdd: RDD[(ReferenceRegion, Variant)])(implicit tTag: ClassTag[Variant]): IntervalArray[ReferenceRegion, Variant]

    Attributes
      protected
    Definition Classes
      VariantRDD → GenomicDataset

33. #### def cache(): VariantRDD

    Caches underlying RDD in memory.

    Caches underlying RDD in memory.

    returns

      Cached GenomicDataset.

    Definition Classes
      GenomicDataset

34. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### lazy val dataset: Dataset[Variant]

    A SQL Dataset of reads.

    A SQL Dataset of reads.

    Definition Classes
      RDDBoundVariantRDD → GenomicDataset

36. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

37. #### def filterByOverlappingRegion(query: ReferenceRegion): VariantRDD

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the query region.

    Definition Classes
      GenomicDataset

38. #### def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): VariantRDD

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions. Java friendly version.

    querys

      The regions to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the querys region.

    Definition Classes
      GenomicDataset

39. #### def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): VariantRDD

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the querys region.

    Definition Classes
      GenomicDataset

40. #### def filterByQuality(minimumQuality: Double): VariantRDD

    Filter this VariantRDD by quality (VCF column 6 "QUAL").

    Filter this VariantRDD by quality (VCF column 6 "QUAL"). Variants split for multi-allelic sites will also be filtered out.

    minimumQuality

      Minimum quality to filter by, inclusive.

    returns

      VariantRDD filtered by quality.

    Definition Classes
      VariantRDD

41. #### def filterByReadDepth(minimumReadDepth: Int): VariantRDD

    Filter this VariantRDD by total read depth (VCF INFO reserved key AD, Number=R, split for multi-allelic sites into single integer values for the reference allele (`filterByReferenceReadDepth`) and the alternate allele (this method)).

    Filter this VariantRDD by total read depth (VCF INFO reserved key AD, Number=R, split for multi-allelic sites into single integer values for the reference allele (`filterByReferenceReadDepth`) and the alternate allele (this method)).

    minimumReadDepth

      Minimum total read depth to filter by, inclusive.

    returns

      VariantRDD filtered by total read depth.

    Definition Classes
      VariantRDD

42. #### def filterByReferenceReadDepth(minimumReferenceReadDepth: Int): VariantRDD

    Filter this VariantRDD by reference total read depth (VCF INFO reserved key AD, Number=R, split for multi-allelic sites into single integer values for the alternate allele (`filterByReadDepth`) and the reference allele (this method)).

    Filter this VariantRDD by reference total read depth (VCF INFO reserved key AD, Number=R, split for multi-allelic sites into single integer values for the alternate allele (`filterByReadDepth`) and the reference allele (this method)).

    minimumReferenceReadDepth

      Minimum reference total read depth to filter by, inclusive.

    returns

      VariantRDD filtered by reference total read depth.

    Definition Classes
      VariantRDD

43. #### def filterIndels(): VariantRDD

    Filter insertions and deletions (indels) from this VariantRDD.

    Filter insertions and deletions (indels) from this VariantRDD.

    returns

      VariantRDD filtered to remove insertions and deletions (indels).

    Definition Classes
      VariantRDD

44. #### def filterMultipleNucleotideVariants(): VariantRDD

    Filter multiple nucleotide variants (MNPs) from this VariantRDD.

    Filter multiple nucleotide variants (MNPs) from this VariantRDD.

    returns

      VariantRDD filtered to remove multiple nucleotide variants (MNPs).

    Definition Classes
      VariantRDD

45. #### def filterSingleNucleotideVariants(): VariantRDD

    Filter single nucleotide variants (SNPs) from this VariantRDD.

    Filter single nucleotide variants (SNPs) from this VariantRDD.

    returns

      VariantRDD filtered to remove single nucleotide variants (SNPs).

    Definition Classes
      VariantRDD

46. #### def filterToFiltersPassed(): VariantRDD

    Filter this VariantRDD to filters passed (VCF column 7 "FILTER" value PASS).

    Filter this VariantRDD to filters passed (VCF column 7 "FILTER" value PASS).

    returns

      VariantRDD filtered to filters passed.

    Definition Classes
      VariantRDD

47. #### def filterToIndels(): VariantRDD

    Filter this VariantRDD to include only insertions and deletions (indels).

    Filter this VariantRDD to include only insertions and deletions (indels).

    returns

      VariantRDD filtered to include only insertions and deletions (indels).

    Definition Classes
      VariantRDD

48. #### def filterToMultipleNucleotideVariants(): VariantRDD

    Filter this VariantRDD to include only multiple nucleotide variants (MNPs).

    Filter this VariantRDD to include only multiple nucleotide variants (MNPs).

    returns

      VariantRDD filtered to include only multiple nucleotide variants (MNPs).

    Definition Classes
      VariantRDD

49. #### def filterToSingleNucleotideVariants(): VariantRDD

    Filter this VariantRDD to include only single nucleotide variants (SNPs).

    Filter this VariantRDD to include only single nucleotide variants (SNPs).

    returns

      VariantRDD filtered to include only single nucleotide variants (SNPs).

    Definition Classes
      VariantRDD

50. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

51. #### def flattenRddByRegions(): RDD[(ReferenceRegion, Variant)]

    Attributes
      protected
    Definition Classes
      GenomicDataset

52. #### def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Variant], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Variant], Option[Y])]): GenericGenomicDataset[(Option[Variant], Option[X]), (Option[Variant], Option[Y])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset

53. #### def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Variant], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Variant], Option[Y])]): GenericGenomicDataset[(Option[Variant], Option[X]), (Option[Variant], Option[Y])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset

54. #### def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Variant], Option[X]), (Option[Variant], Option[Y])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join. PySpark/Java friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset

55. #### def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Variant], Option[X]), (Option[Variant], Option[Y])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join. SparkR friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset

56. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

57. #### def getReferenceRegions(elem: Variant): Seq[ReferenceRegion]

    elem

      The variant to get a reference region for.

    returns

      Returns the singular region this variant covers.

    Attributes
      protected
    Definition Classes
      VariantRDD → GenomicDataset

58. #### val headerLines: Seq[VCFHeaderLine]

    Definition Classes
      RDDBoundVariantRDD → VCFSupportingGenomicDataset

59. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

60. #### def isSorted: Boolean

    Definition Classes
      GenomicDataset

61. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

62. #### lazy val jrdd: JavaRDD[Variant]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicDataset

63. #### def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], toxTag: ClassTag[(Variant, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Variant, Option[Y])]): GenericGenomicDataset[(Variant, Option[X]), (Variant, Option[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

64. #### def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], toxTag: ClassTag[(Variant, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Variant, Option[Y])]): GenericGenomicDataset[(Variant, Option[X]), (Variant, Option[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

65. #### def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Variant, Option[X]), (Variant, Option[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join. PySpark/Java friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

66. #### def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Variant, Option[X]), (Variant, Option[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join. SparkR friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

67. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], toxTag: ClassTag[(Variant, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Variant, Seq[Y])]): GenericGenomicDataset[(Variant, Iterable[X]), (Variant, Seq[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

68. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], toxTag: ClassTag[(Variant, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Variant, Seq[Y])]): GenericGenomicDataset[(Variant, Iterable[X]), (Variant, Seq[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

69. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Variant, Iterable[X]), (Variant, Seq[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join. PySpark/Java friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

70. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Variant, Iterable[X]), (Variant, Seq[Y])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join. SparkR friendly variant.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicDataset

71. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

72. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

73. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

74. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

75. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

76. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

77. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

78. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

79. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

80. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

81. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

82. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

83. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

84. #### final def notify(): Unit

    Definition Classes
      AnyRef

85. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

86. #### val optPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]]

    Definition Classes
      RDDBoundVariantRDD → GenomicDataset

87. #### def persist(sl: StorageLevel): VariantRDD

    Persists underlying RDD in memory or disk.

    Persists underlying RDD in memory or disk.

    sl

      new StorageLevel

    returns

      Persisted GenomicDataset.

    Definition Classes
      GenomicDataset

88. #### def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Variant, Variant, VariantRDD, W]](cmd: List[String], files: List[String], environment: Map[String, String], flankSize: Integer, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[VariantRDD, RDD[X], Z]): Z

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Java/PySpark friendly variant.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final RDD.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset

89. #### def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Variant, Variant, VariantRDD, W]](cmd: Seq[Any], files: Seq[Any], environment: Map[Any, Any], flankSize: Double, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[VariantRDD, RDD[X], Z]): Z

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    SparkR friendly variant.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final RDD.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset

90. #### def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Variant, Variant, VariantRDD, W]](cmd: Seq[String], files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0, optTimeout: Option[Int] = None)(implicit tFormatterCompanion: InFormatterCompanion[Variant, Variant, VariantRDD, W], xFormatter: OutFormatter[X], convFn: (VariantRDD, RDD[X]) ⇒ Z, tManifest: ClassTag[Variant], xManifest: ClassTag[X]): Z

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0. To access the path to the directory where the files are copied, use $root.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicDataset. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    optTimeout

      An optional parameter specifying how long to let a single partition run for, in seconds. If the partition times out, the partial results will be returned, and no exception will be logged. The partition will log that the command timed out.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset

91. #### val productFn: (Variant) ⇒ Variant

    Attributes
      protected
    Definition Classes
      VariantRDD → GenomicDataset

92. #### val rdd: RDD[Variant]

    The RDD of genomic data that we are wrapping.

    The RDD of genomic data that we are wrapping.

    Definition Classes
      RDDBoundVariantRDD → GenomicDataset

93. #### def replaceHeaderLines(newHeaderLines: Seq[VCFHeaderLine]): VariantRDD

    Replaces the header lines attached to this RDD.

    Replaces the header lines attached to this RDD.

    newHeaderLines

      The new header lines to attach to this RDD.

    returns

      A new RDD with the header lines replaced.

    Definition Classes
      RDDBoundVariantRDD → VCFSupportingGenomicDataset

94. #### def replaceRdd(newRdd: RDD[Variant], newPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]] = None): VariantRDD

    newRdd

      An RDD to replace the underlying RDD with.

    returns

      Returns a new VariantRDD with the underlying RDD replaced.

    Attributes
      protected
    Definition Classes
      VariantRDD → GenomicDataset

95. #### def replaceSequences(newSequences: SequenceDictionary): VariantRDD

    Replaces the sequence dictionary attached to a GenomicDataset.

    Replaces the sequence dictionary attached to a GenomicDataset.

    newSequences

      The new sequence dictionary to attach.

    returns

      Returns a new GenomicDataset with the sequences replaced.

    Definition Classes
      RDDBoundVariantRDD → GenomicDataset

96. #### def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], otxTag: ClassTag[(Option[Variant], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Variant], Y)]): GenericGenomicDataset[(Option[Variant], X), (Option[Variant], Y)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoin

97. #### def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], otxTag: ClassTag[(Option[Variant], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Variant], Y)]): GenericGenomicDataset[(Option[Variant], X), (Option[Variant], Y)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoin

98. #### def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Variant], X), (Option[Variant], Y)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. PySpark/Java friendly version.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicDataset

99. #### def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Variant], X), (Option[Variant], Y)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. SparkR friendly version.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicDataset

100. #### def rightOuterBroadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], oyuTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Y], Variant)]): GenericGenomicDataset[(Option[X], Variant), (Option[Y], Variant)]

     Performs a broadcast right outer join between this RDD and data that has been broadcast.

     Performs a broadcast right outer join between this RDD and data that has been broadcast.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
     Note

       This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

     See also

       rightOuterBroadcastRegionJoin

101. #### def rightOuterBroadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Variant)]): GenericGenomicDataset[(Iterable[X], Variant), (Seq[Y], Variant)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
     Note

       This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

     See also

       rightOuterBroadcastRegionJoinAndGroupByRight

102. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Variant], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Variant], Y)]): GenericGenomicDataset[(Iterable[Variant], X), (Seq[Variant], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

103. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Variant], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Variant], Y)]): GenericGenomicDataset[(Iterable[Variant], X), (Seq[Variant], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

104. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Variant], X), (Seq[Variant], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. PySpark/Java friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

105. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Variant], X), (Seq[Variant], Y)]

     Performs a broadcast right outer join between this RDD and another RDD.

     Performs a broadcast right outer join between this RDD and another RDD.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. SparkR friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

106. #### def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], otxTag: ClassTag[(Option[Variant], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Variant], Y)]): GenericGenomicDataset[(Option[Variant], X), (Option[Variant], Y)]

     Performs a sort-merge right outer join between this RDD and another RDD.

     Performs a sort-merge right outer join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset

107. #### def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], otxTag: ClassTag[(Option[Variant], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Variant], Y)]): GenericGenomicDataset[(Option[Variant], X), (Option[Variant], Y)]

     Performs a sort-merge right outer join between this RDD and another RDD.

     Performs a sort-merge right outer join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset

108. #### def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Variant], X), (Option[Variant], Y)]

     Performs a sort-merge right outer join between this RDD and another RDD.

     Performs a sort-merge right outer join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. PySpark/Java friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset

109. #### def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Variant], X), (Option[Variant], Y)]

     Performs a sort-merge right outer join between this RDD and another RDD.

     Performs a sort-merge right outer join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join. SparkR friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

     Definition Classes
       GenomicDataset

110. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], otixTag: ClassTag[(Option[Variant], Iterable[X])], otsyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Variant], Seq[Y])]): GenericGenomicDataset[(Option[Variant], Iterable[X]), (Option[Variant], Seq[Y])]

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

     Definition Classes
       GenomicDataset

111. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], otixTag: ClassTag[(Option[Variant], Iterable[X])], ousyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Variant], Seq[Y])]): GenericGenomicDataset[(Option[Variant], Iterable[X]), (Option[Variant], Seq[Y])]

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

     Definition Classes
       GenomicDataset

112. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Variant], Iterable[X]), (Option[Variant], Seq[Y])]

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key. PySpark/Java friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

     Definition Classes
       GenomicDataset

113. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Variant], Iterable[X]), (Option[Variant], Seq[Y])]

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key. SparkR friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

     Definition Classes
       GenomicDataset

114. #### def saveAsParquet(pathName: String): Unit

     Saves this RDD to disk as a Parquet + Avro file.

     Saves this RDD to disk as a Parquet + Avro file.

     pathName

       The path to save the file to.

     Definition Classes
       AvroGenomicDataset

115. #### def saveAsParquet(pathName: String, blockSize: Integer, pageSize: Integer, compressCodec: CompressionCodecName, disableDictionaryEncoding: Boolean): Unit

     Saves this RDD to disk as a Parquet + Avro file.

     Saves this RDD to disk as a Parquet + Avro file.

     pathName

       The path to save the file to.

     blockSize

       The size in bytes of blocks to write.

     pageSize

       The size in bytes of pages to write.

     compressCodec

       The compression codec to apply to pages.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used.

     Definition Classes
       AvroGenomicDataset

116. #### def saveAsParquet(pathName: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false): Unit

     Saves this RDD to disk as a Parquet + Avro file.

     Saves this RDD to disk as a Parquet + Avro file.

     pathName

       The path to save the file to.

     blockSize

       The size in bytes of blocks to write.

     pageSize

       The size in bytes of pages to write.

     compressCodec

       The compression codec to apply to pages.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used.

     Definition Classes
       AvroGenomicDataset → GenomicDataset

117. #### def saveAsParquet(args: SaveArgs): Unit

     Saves an RDD to Parquet.

     Saves an RDD to Parquet.

     args

       The output format configuration to use when saving the data.

     Definition Classes
       GenomicDataset

118. #### def saveAsPartitionedParquet(pathName: String, compressCodec: CompressionCodecName = CompressionCodecName.GZIP, partitionSize: Int = 1000000): Unit

     Saves this RDD to disk in range binned partitioned Parquet format.

     Saves this RDD to disk in range binned partitioned Parquet format.

     pathName

       The path to save the partitioned Parquet file to.

     compressCodec

       Name of the compression codec to use.

     partitionSize

       Size of partitions used when writing Parquet, in base pairs (bp). Defaults to 1,000,000 bp.

     Definition Classes
       GenomicDataset

119. #### def saveAvro[U <: SpecificRecordBase](pathName: String, sc: SparkContext, schema: Schema, avro: Seq[U])(implicit tUag: ClassTag[U]): Unit

     Saves Avro data to a Hadoop file system.

     Saves Avro data to a Hadoop file system.

     This method uses a SparkContext to identify our underlying file system, which we then save to.

     Frustratingly enough, although all records generated by the Avro IDL compiler have a static SCHEMA$ field, this field does not belong to the SpecificRecordBase abstract class, or the SpecificRecord interface. As such, we must force the user to pass in the schema.

     U

       The type of the specific record we are saving.

     pathName

       Path to save records to.

     sc

       SparkContext used for identifying underlying file system.

     schema

       Schema of records we are saving.

     avro

       Seq of records we are saving.

     Attributes
       protected
     Definition Classes
       GenomicDataset

120. #### def saveMetadata(filePath: String): Unit

     Writes any necessary metadata to disk.

     Writes any necessary metadata to disk. If not overridden, writes the sequence dictionary to disk as Avro.

     Attributes
       protected
     Definition Classes
       VariantRDD → AvroGenomicDataset → GenomicDataset

121. #### def savePartitionMap(filePath: String): Unit

     Save the partition map to disk.

     Save the partition map to disk. This is done by adding the partition map to the schema.

     filePath

       The filepath where we will save the partition map.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset

122. #### def saveRddAsParquet(pathName: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false, optSchema: Option[Schema] = None): Unit

     Saves an RDD of Avro data to Parquet.

     Saves an RDD of Avro data to Parquet.

     pathName

       The path to save the file to.

     blockSize

       The size in bytes of blocks to write. Defaults to 128 * 1024 * 1024.

     pageSize

       The size in bytes of pages to write. Defaults to 1 * 1024 * 1024.

     compressCodec

       The compression codec to apply to pages. Defaults to CompressionCodecName.GZIP.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used. Defaults to false.

     optSchema

       The optional schema to set. Defaults to None.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset

123. #### def saveRddAsParquet(args: SaveArgs): Unit

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset

124. #### def saveSequences(pathName: String): Unit

     Save the sequence dictionary to disk.

     Save the sequence dictionary to disk.

     pathName

       The path to save the sequence dictionary to.

     Attributes
       protected
     Definition Classes
       GenomicDataset

125. #### def saveVcfHeaders(filePath: String): Unit

     Save the VCF headers to disk.

     Save the VCF headers to disk.

     filePath

       The filepath to the file where we will save the VCF headers.

     Definition Classes
       VariantRDD

126. #### val sequences: SequenceDictionary

     The sequence dictionary describing the reference assembly this dataset is aligned to.

     The sequence dictionary describing the reference assembly this dataset is aligned to.

     Definition Classes
       RDDBoundVariantRDD → GenomicDataset

127. #### def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], txTag: ClassTag[(Variant, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Variant, Y)]): GenericGenomicDataset[(Variant, X), (Variant, Y)]

     Performs a sort-merge inner join between this RDD and another RDD.

     Performs a sort-merge inner join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset

128. #### def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], txTag: ClassTag[(Variant, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Variant, Y)]): GenericGenomicDataset[(Variant, X), (Variant, Y)]

     Performs a sort-merge inner join between this RDD and another RDD.

     Performs a sort-merge inner join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset

129. #### def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Variant, X), (Variant, Y)]

     Performs a sort-merge inner join between this RDD and another RDD.

     Performs a sort-merge inner join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. PySpark/Java friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset

130. #### def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Variant, X), (Variant, Y)]

     Performs a sort-merge inner join between this RDD and another RDD.

     Performs a sort-merge inner join between this RDD and another RDD.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. SparkR friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset

131. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], tixTag: ClassTag[(Variant, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Variant, Seq[Y])]): GenericGenomicDataset[(Variant, Iterable[X]), (Variant, Seq[Y])]

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

     genomicRdd

       The right RDD in the join.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

     Definition Classes
       GenomicDataset

132. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Variant], xTag: ClassTag[X], tixTag: ClassTag[(Variant, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Variant, Seq[Y])]): GenericGenomicDataset[(Variant, Iterable[X]), (Variant, Seq[Y])]

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

     Definition Classes
       GenomicDataset

133. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Variant, Iterable[X]), (Variant, Seq[Y])]

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. PySpark/Java friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD.

     Definition Classes
       GenomicDataset

134. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicRdd: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Variant, Iterable[X]), (Variant, Seq[Y])]

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

     In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. SparkR friendly variant.

     genomicRdd

       The right RDD in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD.

     Definition Classes
       GenomicDataset

135. #### def sort(partitions: Int = rdd.partitions.length, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Variant]): VariantRDD

     Sorts our genome aligned data by reference positions, with contigs ordered by index.

     Sorts our genome aligned data by reference positions, with contigs ordered by index.

     partitions

       The number of partitions for the new RDD.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new RDD containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle unaligned or where objects align to multiple positions.

     See also

       sortLexicographically

136. #### def sort(): VariantRDD

     Sorts our genome aligned data by reference positions, with contigs ordered by index.

     Sorts our genome aligned data by reference positions, with contigs ordered by index.

     returns

       Returns a new RDD containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sortLexicographically

137. #### def sortLexicographically(partitions: Int = rdd.partitions.length, storePartitionMap: Boolean = false, storageLevel: StorageLevel = StorageLevel.MEMORY_ONLY, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Variant]): VariantRDD

     Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

     Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

     partitions

       The number of partitions for the new RDD.

     storePartitionMap

       A Boolean flag to determine whether to store the partition bounds from the resulting RDD.

     storageLevel

       The level at which to persist the resulting RDD.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new RDD containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle data that is unaligned or where objects align to multiple positions.

     See also

       sort

138. #### def sortLexicographically(): VariantRDD

     Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

     Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

     returns

       Returns a new RDD containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sort

139. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

140. #### def toDF(): DataFrame

     returns

       This data as a Spark SQL DataFrame.

     Definition Classes
       GenomicDataset

141. #### def toString(): String

     Definition Classes
       GenomicDataset → AnyRef → Any

142. #### def toVariantContexts(): VariantContextRDD

     returns

       Returns this VariantRDD as a VariantContextRDD.

     Definition Classes
       VariantRDD

143. #### def transform(tFn: Function[JavaRDD[Variant], JavaRDD[Variant]]): VariantRDD

     Applies a function that transforms the underlying RDD into a new RDD.

     Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

144. #### def transform(tFn: (RDD[Variant]) ⇒ RDD[Variant]): VariantRDD

     Applies a function that transforms the underlying RDD into a new RDD.

     Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

145. #### def transformDataFrame(tFn: Function[DataFrame, DataFrame]): VariantRDD

     Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API. Java-friendly variant.

     tFn

       A function that transforms the underlying RDD as a DataFrame.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

146. #### def transformDataFrame(tFn: (DataFrame) ⇒ DataFrame)(implicit uTag: scala.reflect.api.JavaUniverse.TypeTag[Variant]): VariantRDD

     Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     tFn

       A function that transforms the underlying RDD as a DataFrame.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

147. #### def transformDataset(tFn: (Dataset[Variant]) ⇒ Dataset[Variant]): VariantRDD

     Applies a function that transforms the underlying RDD into a new RDD using the Spark SQL API.

     Applies a function that transforms the underlying RDD into a new RDD using the Spark SQL API.

     tFn

       A function that transforms the underlying RDD as a Dataset.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

     Definition Classes
       VariantRDD → GenomicDataset

148. #### def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[JavaRDD[Variant], JavaRDD[X]], convFn: Function2[VariantRDD, RDD[X], Z]): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly version.

     tFn

       A function that transforms the underlying RDD.

     convFn

       The conversion function used to build the final RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

149. #### def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (RDD[Variant]) ⇒ RDD[X])(implicit convFn: (VariantRDD, RDD[X]) ⇒ Z): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

150. #### def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[DataFrame, DataFrame], convFn: GenomicDatasetConversion[Variant, Variant, VariantRDD, X, Y, Z]): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

151. #### def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (DataFrame) ⇒ DataFrame)(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (VariantRDD, Dataset[Y]) ⇒ Z): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

152. #### def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[Dataset[Variant], Dataset[Y]], convFn: GenomicDatasetConversion[Variant, Variant, VariantRDD, X, Y, Z]): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

153. #### def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (Dataset[Variant]) ⇒ Dataset[Y])(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (VariantRDD, Dataset[Y]) ⇒ Z): Z

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset

154. #### val uTag: scala.reflect.api.JavaUniverse.TypeTag[Variant]

     Definition Classes
       VariantRDD → GenomicDataset

155. #### def union(rdds: VariantRDD*): VariantRDD

     Unions together multiple genomic RDDs.

     Unions together multiple genomic RDDs.

     rdds

       RDDs to union with this RDD.

     Definition Classes
       VariantRDD → GenomicDataset

156. #### def union(rdds: List[VariantRDD]): VariantRDD

     Unions together multiple genomic RDDs.

     Unions together multiple genomic RDDs.

     rdds

       RDDs to union with this RDD.

     Definition Classes
       GenomicDataset

157. #### def unpersist(): VariantRDD

     Unpersists underlying RDD from memory or disk.

     Unpersists underlying RDD from memory or disk.

     returns

       Uncached GenomicDataset.

     Definition Classes
       GenomicDataset

158. #### val unproductFn: (Variant) ⇒ Variant

     Attributes
       protected
     Definition Classes
       VariantRDD → GenomicDataset

159. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

160. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

161. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

162. #### def writeTextRdd[T](rdd: RDD[T], outputPath: String, asSingleFile: Boolean, disableFastConcat: Boolean, optHeaderPath: Option[String] = None): Unit

     Writes an RDD to disk as text and optionally merges.

     Writes an RDD to disk as text and optionally merges.

     rdd

       RDD to save.

     outputPath

       Output path to save text files to.

     asSingleFile

       If true, combines all partition shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     optHeaderPath

       If provided, the header file to include.

     Attributes
       protected
     Definition Classes
       GenomicDataset

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from VariantRDD

### Inherited from VCFSupportingGenomicDataset[Variant, Variant, VariantRDD]

### Inherited from AvroGenomicDataset[Variant, Variant, VariantRDD]

### Inherited from GenomicDataset[Variant, Variant, VariantRDD]

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped